.auth {
    background-color: white;
    width: 100%;
    height: 100vh;
    padding-top: 130px;
    position: relative;
}

.icon-auth_bg,.icon-recovery_bg{
    position: absolute;
    font-size: 188px;
    right: 40px;
    bottom: 40px;
    color: #F0F0F0;
}

.auth__inner {
    width: 100%;
    max-width: 507px;
    margin: 0 auto;
    padding: 20px;
}

.auth__inner_logo {
    display: flex;
    justify-content: center;
    margin-bottom: 112px;
}

.auth__inner_title {
    font-family: 'HelveticaNeueCry';
    font-style: normal;
    font-weight: 550;
    font-size: 20px;
    line-height: 24px;
    color: #373737;
    max-width: 334px;
    margin-bottom: 48px;
}

.auth__form {}

.auth__form_row {
    display: flex;
    flex-direction: column;
    gap: 42px;
}

.auth__form_item {
    position: relative;
}

.auth__form_item input {
    width: 100%;
    border: none;
    border-bottom: 1px solid black;
    padding-bottom: 12px;
    padding-right: 20px;
    text-transform: uppercase;
    font-size: 16px;
}

.auth__form_item input[name='password'],
.auth__form_item input[name='code']{
    text-transform: none;
}

.auth__form_item input:focus {
    outline: none;
}

.auth__form_item input:focus ~ label,
.auth__form_item .focused__label {
    margin-top: -20px;
    font-size: 12px;
}

.auth__form_item input.error~label {
    color: #B70D18;
}

.auth__inner_error {
    margin-top: 55px;
    /*display: none;*/
}

.input_error {
    position: absolute;
    top: 0;
    right: 30px;
    font-weight: 400;
    font-size: 12px;
    color: #B70D18;
}

.error__message {
    padding: 16px 16px 14px 20px;
    background: #F0F0F0;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.error__message i {
    font-size: 11px;
    color: #B70D18;
    cursor: pointer;
}

.auth__form_item label {
    position: absolute;
    left: 0;
    font-family: 'HelveticaNeueCry', sans-serif;
    font-weight: 400;
    font-size: 16px;
    color: #939393;

    -webkit-transition: all 0.2s ease;
    -moz-transition: all 0.2s ease;
    -ms-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
    pointer-events: none;
}

.auth__form_item i {
    position: absolute;
    right: 0;
    font-size: 12px;
}

.auth__form_item .icon-correct {
    color: #27AE60;
    display: none;
}

.auth__form_item .icon-error {
    color: #B70D18;
    display: none;
}

.auth__form_item input.error~.icon-error {
    display: inline;
}

.auth__form_item .icon-hide {
    color: #C6C6C6;
    cursor: pointer;
    display: none;
}

.auth__form_item .icon-hide:hover {
    color: #b4b4b4;
}

.auth__form_footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 56px;
}

.button {
    background: #B70D18;
    border-radius: 4px;
    padding: 15px 48px;
    border: none;
    color: white;
    font-weight: 550;
    font-size: 16px;
    color: #FFFFFF;
}

.auth__form_note {
    font-family: 'HelveticaNeueCry';
    font-weight: 550;
    font-size: 12px;
    color: #B70D18;
}

.auth__inner_switch {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 48px 0;
}

.switch {
    position: relative;
    width: 36px;
    height: 20px;
}

.switch_text {
    font-family: 'HelveticaNeueCry';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;

    color: #313131;
}

.switch_text.active {
    color: #B70D18;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: white;
    border: 1px solid rgba(146, 146, 146, 1);
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 14px;
    width: 14px;
    left: 3px;
    bottom: 2px;
    background-color: #B70D18;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: white;
}

input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
    -webkit-transform: translateX(14px);
    -ms-transform: translateX(14px);
    transform: translateX(14px);
}

input:checked+.documents__switch_text:nth-child(3) {
    color: black;
}

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

@media screen and (max-height: 880px) {
    .icon-auth_bg,
    .icon-recovery_bg{
        display: none;
    }
}

@media (max-width:768px){
    .icon-auth_bg,
    .icon-recovery_bg{
        font-size: 148px;
    }

    .auth__inner_title{
        font-size: 18px;
    }

    .auth__form_footer{
        flex-direction: column;
        gap: 32px;
        align-items: stretch;
        text-align: center;
    }

    .auth__form_button .button{
        width: 100%;
    }

    .error__message_text{
        max-width: 255px;
    }
}

@media (max-width:425px){
    .icon-auth_bg,
    .icon-recovery_bg{
        display: none;
    }
}